# -*- coding: utf-8 -*-
from dspawpy.diffusion.nebtools import get_distance
from dspawpy.io.structure import read

# 请根据实际情况修改 structure01.as 和 structure02.as 结构文件的路径
# 先读取两个构型的分数坐标、元素列表和晶胞信息
s1 = read("dspawpy_proj/dspawpy_tests/inputs/2.15/01/structure01.as")[0]
s2 = read("dspawpy_proj/dspawpy_tests/inputs/2.15/02/structure02.as")[0]
# 计算两个构型的距离，注意这个函数只接受分数坐标
dist = get_distance(
    spo1=s1.frac_coords,
    spo2=s2.frac_coords,
    lat1=s1.lattice.matrix,
    lat2=s2.lattice.matrix,
)
print("两个构型的距离为：", dist, "Angstrom")
